Subject: Re: ospf redistribute

From: kishoreky <[email-masked]>
Date: Wed, 13 Oct 2004 19:02:28 +0530

Hi Ace,

Thnaks for reply

but i have one more doubt :-

    According to RFC 2328 section 12.4.4.1. Examples of AS-external-LSAs :-
    when the forwarding address field is non- zero, it should point to a
    router belonging to another Autonomous System.

    According to RFC 2328 section 16.4 :-
    If the forwarding address is non-zero, look up the
    forwarding address in the routing table.[24] The matching
    routing table entry must specify an intra-area or inter-area
    path.

                +
                                |
                      +---+.....|.BGP
                      |RTA|-----|.....+---+
                      +---+     |-----|RTX|
                                |     +---+
                      +---+     |
                      |RTB|-----|
                      +---+     |
                                |
                      +---+     |
                      |RTC|-----|
                      +---+     |
                                |
                                +

this is the figure number 16 taken from RFC 2328
here RTA, RTB and RTC are ospf routers and RTX is non-ospf router

in this situation if the all routers are connected through broadcast network then we can
take the forwarding address of RTX interface since it will allow RTB and RTC to not to
forward packet for external network through RTA they can directly send to RTX. at the same time
ALL ospf routers will have a INTRA AREA or INTER AREA path to the forwarding address so they
can compute the External Routes.

but my doubt is if these routers are connected through PTOMP network then is it valid to
set a forwarding address as RTX interface. i think ospf routers will not have a INTRA AREA
or INTER AREA route to the RTX Interface address and so no one will compute the path. should
i set the forwarding address zero in this case.

but i am not sure whether we can configure a PTOMP network like this.
somewhere i read that Point-to-MutiPoint subnets were created solely
to interconnect OSPF routers. if this statement is true
then does it mean we need to fill forwarding address in AS External LSA only when
ospf routers are connected through broadcast network to non ospf router.

if the ospf router is connected to non ospf router by ptop network then ther is no need to
fill any forwarding address.

regards
Manish Gupta

"Mailing List"<[email-masked]> wrote:
----- Original Message -----
From: "kishoreky" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, October 12, 2004 3:10 PM
Subject: ospf redistribute

> Hi ,
>
> i have few doubts regarding ospf redistribution.
>
> say i have added a static route with next hop X.X.X.X
>
> if ospf want's to redistribute this static route what all ospf should check?
>
> does ospf should have a OSPF route (directly connected) to the next hop
> X.X.X.X to generate Type
> 5 LSA or
>
> it is enough if the route to nexthop can be either INTER AREA or INTRA AREA.
>
> i think if the route is direct one, we can set the forwarding address in
> Type
> 5 LSA as X.X.X.X
>
> but if the route is not the direct one then what should be the forwarding
> address? X.X.X.X or 0.0.0.0 if it needs to generate the LSA.

Hi Manish,
Standard OSPF doesn't compute recursive next-hops. Hence, by definition,
X.X.X.X is directly connected. One could raise the question of  tunneled
interfaces but I don't think these should be treated any differently.  Another
implementation decision is whether or not to advertise a forwarding address
for redistributed/imported ECMP routes. In this case, I do not.

Hope this helps,
Acee

>
> regards
>
> Manish Gupta
>
>
>
>
>
> Get Your Private, Free E-mail from Indiatimes at http://email.indiatimes.com
>
> Buy The Best In BOOKS at http://www.bestsellers.indiatimes.com
>
> Bid for for Air Tickets @ Re.1 on Air Sahara Flights. Just log on to http://airsahara.indiatimes.com and Bid Now!
Get Your Private, Free E-mail from Indiatimes at http://email.indiatimes.com

 Buy The Best In BOOKS at http://www.bestsellers.indiatimes.com

Bid for for Air Tickets @ Re.1 on Air Sahara Flights. Just log on to http://airsahara.indiatimes.com and Bid Now!

---

From: Acee Lindem <[email-masked]>
Date: Thu, 14 Oct 2004 00:38:07 -0400

Hi Manish,
See inline.
----- Original Message -----
From: "kishoreky" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, October 13, 2004 9:32 AM
Subject: Re: ospf redistribute

> ospf routers are connected through broadcast network to non ospf router
>

The RFC doesn't go into this level of detail regarding when and when not to
advertise a forwarding address. Clearly, it could be beneficial on broadcast and NBMA
networks with more than 2 routers. For P2MP networks, the forwarding address could
still possibly provide a shorter path if there are multiple OSPF routers that have
connectivity to the AS external route's next-hop.